Bug 1552233

Summary: [RFE] Ability to select OpenStack External external network during the instance provisioning
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ProvidersAssignee: Ladislav Smola <lsmola>
Status: CLOSED ERRATA QA Contact: Dave Johnson <dajohnso>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.7.0CC: akaris, aveselov, dkholodo, gblomqui, iovadia, jfrey, jhardy, jocarter, lsmola, maufart, myoder, obarenbo, simaishi, tzumainn
Target Milestone: GAKeywords: FutureFeature, Reopened, RFE, ZStream
Target Release: 5.8.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: openstack
Fixed In Version: 5.8.4.1 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1431370 Environment:
Last Closed: 2018-06-25 14:18:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack
Bug Depends On: 1431370    
Bug Blocks: 1551709    

Comment 3 CFME Bot 2018-04-09 18:35:44 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/022eba54aa93c79b487ba835919cd153b6894d0c
commit 022eba54aa93c79b487ba835919cd153b6894d0c
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu May  4 08:44:26 2017 -0400
Commit:     Greg Blomquist <blomquisg@gmail.com>
CommitDate: Thu May  4 08:44:26 2017 -0400

    Merge pull request #14920 from Ladas/move_public_network_methods_to_base_class

    Move public/external network method into base class
    (cherry picked from commit 4c2da55b1adb5747c3e4ca3b5ef213f1405954a0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1552233

 app/models/cloud_network.rb | 4 +
 app/models/mixins/has_network_manager_mixin.rb | 1 -
 2 files changed, 4 insertions(+), 1 deletion(-)

Comment 4 CFME Bot 2018-04-09 22:00:44 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/15fa1b7c2ed351c5b7339ff0162690f6da0b5ca3
commit 15fa1b7c2ed351c5b7339ff0162690f6da0b5ca3
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Thu May  4 09:43:09 2017 -0400
Commit:     tzumainn <tzumainn@redhat.com>
CommitDate: Thu May  4 09:43:09 2017 -0400

    Merge pull request #27 from Ladas/allow_external_network_to_be_attached_directly_to_a_vm

    Allow all networks to be attached directly to a VM
    (cherry picked from commit 01fac377005c6ce492b9dbbee6dc2533076f3b19)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1552233

 app/models/manageiq/providers/openstack/cloud_manager/cloud_tenant.rb | 4 -
 app/models/manageiq/providers/openstack/cloud_manager/provision_workflow.rb | 9 -
 app/models/manageiq/providers/openstack/network_manager.rb | 1 -
 app/models/manageiq/providers/openstack/network_manager/cloud_network/public.rb | 3 -
 spec/models/manageiq/providers/openstack/cloud_manager/provision_workflow_spec.rb | 18 +-
 spec/models/manageiq/providers/openstack/cloud_manager/refresh_spec_common.rb | 19 +-
 6 files changed, 23 insertions(+), 31 deletions(-)

Comment 5 Danylo Kholodov 2018-05-02 10:22:25 UTC
Verified on 5.8.4.2

Comment 7 errata-xmlrpc 2018-06-25 14:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972